Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Your organization API key, available in Organisation settings.

Path Parameters

id
string
required

Unique identifier of the talent (as returned in search results)

Response

Profile retrieved successfully

id
string
required

Unique identifier of the talent

Example:

"cm71yqftr00000ck0bpz3hpg1"

firstname
string
required

First name of the talent

Example:

"Jane"

lastname
string
required

Last name of the talent

Example:

"Doe"

pictureUrl
string | null
required

Profile picture URL

Example:

"https://pictures.example.com/jane.png"

linkedinUrl
string | null
required

LinkedIn profile URL of the talent (may be null when unknown)

Example:

"https://www.linkedin.com/in/jane-doe"

collectiveUrl
string
required

Deep link to open the talent profile inside the Collective recruiter app

Example:

"https://app.collective.work/recruiter/search?profileId=cmjr2j27g2xzy6dgjauv8hbc1"

title
string | null
required

Professional headline / title

Example:

"Senior Frontend Engineer"

dailyRate
number | null
required

Desired daily rate in euros

Example:

650

yearlySalaryMin
number | null
required

Minimum desired yearly salary in euros

Example:

60000

yearlySalaryMax
number | null
required

Maximum desired yearly salary in euros

Example:

80000

availability
enum<string> | null
required

Whether the talent is available now. Returns AVAILABLE, or null when the talent is not available or has not set their availability. Resolved the same way as the Collective app.

Available options:
AVAILABLE
Example:

"AVAILABLE"

workPreference
enum<string> | null
required

Preferred way of working

Available options:
REMOTE_ONLY,
FLEXIBLE
Example:

"REMOTE_ONLY"

desiredContractType
enum<string> | null
required

Desired contract type

Available options:
FREELANCER,
FREELANCER_OPEN_TO_PERMANENT_CONTRACT,
PERMANENT_CONTRACT
Example:

"FREELANCER"

location
object | null
required

Primary work location

mobilities
object[]
required

Locations the talent is willing to work in

skills
string[]
required

Skills

Example:

Featured skills — the skills the talent is best at (a highlighted subset of skills)

Example:
workExperiences
object[]
required

Work experiences

intro
string | null
required

Short introduction / summary

Example:

"Frontend engineer with 8 years building design systems."

educations
object[]
required

Educations

languages
object[]
required

Languages

certifications
object[]
required

Certifications

External links

emails
object[]
required

Email addresses found

phones
object[]
required

Phone numbers found

cv
object | null
required

Talent CV as base64-encoded document data. Null when the talent has no CV (we don't have one for everyone).